Bug 849640

Summary: virt-viewer core dumped when opening a guest which had just shut down
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: virt-viewerAssignee: Daniel Berrange <berrange>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: berrange, crobinso, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-16 14:33:24 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Richard W.M. Jones 2012-08-20 08:26:53 EDT
Description of problem:

I ran virt-viewer on a guest which was shutting down, and it's
likely that the guest had either just shut down or was just about
to shut down when virt-viewer started up.  Whether or not this was
the cause, virt-viewer segfaulted.

#0  0x0000000000410164 in virt_viewer_display_idle (opaque=0x1ecc7e0)
    at virt-viewer-display.c:328
#1  0x00000039b6647c55 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#2  0x00000039b6647f88 in g_main_context_iterate.isra.23 ()
   from /lib64/libglib-2.0.so.0
#3  0x00000039b6648382 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#4  0x00000039b9379d65 in gtk_main () at gtkmain.c:1161
#5  0x000000000040abfa in main (argc=1, argv=0x7fffab114528)
    at virt-viewer-main.c:141

Version-Release number of selected component (if applicable):

0:0.5.3-1.fc17
(I don't see any relevant changes in the newest -3 package)

How reproducible:

?

Steps to Reproduce:

?

Since this is likely to be impossible to reproduce, I will
attach the core dump.
Comment 1 Richard W.M. Jones 2012-08-20 08:28:46 EDT
Stupid Bugzilla ...

http://oirase.annexia.org/tmp/core.7184.xz
Comment 2 Fedora End Of Life 2013-04-03 09:50:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Cole Robinson 2013-12-16 14:33:24 EST
I couldn't find any indication if this was fixed or not, but F19 has moved on quite a bit from the original report, and there haven't been any abrt dupes or anything. So closing